// MOON3.V by Heinz Schuller
// Modified to POV-Ray format, Colin Fleming, cj_fleming@btinternet.com
//------1---------2---------3---------4---------5---------6---------7---------8

#include "radar.inc"

#declare TheTower =
union {

	// left most window
	union {
		triangle { <-2, -2.2, 0>, <-1, -2.2, 0>, <-1, -2.2, -0.75> }
		triangle { <-1, -2.2, -0.75>, <-2, -2.2, -0.75>, <-2, -2.2, 0> }
		pigment {
			image_map {
				gif "left01.gif"
			}
			translate <-2, 2.2, 0>
			rotate x*90
			scale 1
		}
	}

	// left window
	union {
		triangle { <-1, -2.2, 0>, <0, -2.2, 0>, <0, -2.2, -0.75> }
		triangle { <0, -2.2, -0.75>, <-1, -2.2, -0.75>, <-1, -2.2, 0> }
		pigment {
			image_map {
				gif "left02.gif"
			}
			translate <-1, 2.2, 0>
			rotate x*90
			scale 1
		}
	}

	// right window
	union {
		triangle { <0, -2.2, 0>, <1, -2.2, 0>, <1, -2.2, -0.75> }
		triangle { <1, -2.2, -0.75>, <0, -2.2, -0.75>, <0, -2.2, 0> }
		pigment {
			image_map {
				gif "right02.gif"
			}
			translate y*2.2
			rotate x*90
			scale 1
		}
	}

	// right most window
	union {
		triangle { <1, -2.2, 0>, <2, -2.2, 0>, <2, -2.2, -0.75> }
		triangle { <2, -2.2, -0.75>, <1, -2.2, -0.75>, <1, -2.2, 0> }
		pigment {
			image_map {
				gif "right01.gif"
			}
			translate <1, 2.2, 0>
			rotate x*90
			scale 1
		}
	}

	// corners
	//surface { diffuse gray40 shine 100 white }
	union {

		sphere { <-2, 2, 0>, 0.2 }
		sphere { <-2, 2, -0.75>, 0.2 }
		sphere { <2, 2, 0>, 0.2 }
		sphere { <2, 2, -0.75>, 0.2 }
		sphere { <2, -2, 0>, 0.2 }
		sphere { <2, -2, -0.75>, 0.2 }
		sphere { <-2, -2, 0>, 0.2 }
		sphere { <-2, -2, -0.75>, 0.2 }

		// tubes
		cylinder { <-2, 2, 0>, <2, 2, 0>, 0.2 }
		cylinder { <-2, 2, -0.75>, <2, 2, -0.75>, 0.2 }
		cylinder { <2, 2, 0>, <2, -2, 0>, 0.2 }
		cylinder { <2, 2, -0.75>, <2, -2, -0.75>, 0.2 }
		cylinder { <-2, -2, 0>, <2, -2, 0>, 0.2 }
		cylinder { <-2, -2, -0.75>, <2, -2, -0.75>, 0.2 }
		cylinder { <-2, 2, 0>, <-2, -2, 0>, 0.2 }
		cylinder { <-2, 2, -0.75>, <-2, -2, -0.75>, 0.2 }
		cylinder { <-2, -2, 0>, <-2, -2, -0.75>, 0.2 }
		cylinder { <-2, 2, 0>, <-2, 2, -0.75>, 0.2 }
		cylinder { <2, -2, 0>, <2, -2, -0.75>, 0.2 }
		cylinder { <2, 2, 0>, <2, 2, -0.75>, 0.2 }
		
		pigment { rgb 0.4 }
	}


	// other panels
	//surface { diffuse gray10 spec gray20 }
	union {
		triangle { <-2.2, 2, 0>, <-2.2, -2, 0>, <-2.2, -2, -0.75> }
		triangle { <-2.2, -2, -0.75>, <-2.2, 2, -0.75>, <-2.2, 2, 0> }
		triangle { <2, 2.2, 0>, <-2, 2.2, 0>, <-2, 2.2, -0.75> }
		triangle { <-2, 2.2, -0.75>, <2, 2.2, -0.75>, <2, 2.2, 0> }
		triangle { <2.2, -2, 0>, <2.2, 2, 0>, <2.2, 2, -0.75> }
		triangle { <2.2, 2, -0.75>, <2.2, -2, -0.75>, <2.2, -2, 0> }
		pigment { rgb 0.1 }
	}

	// top cap
	union {
		triangle { <-2, 2, 0.2>, <2, 2, 0.2>, <2, -2, 0.2> }
		triangle { <2, -2, 0.2>, <-2, -2, 0.2>, <-2, 2, 0.2> }
		pigment {
			image_map {
				gif "panel3.gif"
			}
			translate <-2, 2, 0.2>
			scale 4
			rotate z*180
		}
	}

	// bottom cap
	//surface { diffuse gray40 shine 100 white }
	union {
		triangle { <-2, -2, -0.95>, <2, -2, -0.95>, <2, 2, -0.95> }
		triangle { <2, 2, -0.95>, <-2, 2, -0.95>, <-2, -2, -0.95> }

		// stand
		cone { -z, 1, z*-1.4, 0.4 }
		cylinder { z*-0.95, -z, 0.9 }
		cylinder { z*-1.4, z*-7, 0.4 }
		pigment { rgb 0.4 }
	}

	// radar
	//surface { diffuse gray60 shine 100 white }
	union {
	
		sphere { <-1.2, 0.2, 0.2>, 0.1 }
		cylinder { <-1.2, 0.2, 0.5>, <-1.2, 0.2, 0>, 0.05 }

		object {
			TheRadar
			rotate <0, -45, -45>
			translate <-1, 0, 1>
		}
		
		// stuff
		sphere { <1, -1, 0.2>, 0.1 }
		sphere { <1, 0, 0.2>, 0.1 }
		cylinder { <1, -1, 1>, <1, -1, 0.2>, 0.02 }
		cylinder { <1, 0, 2>, <1, 0, 0.2>, 0.02 }
		cylinder { <1.5, 1, 0.4>, <1.5, 1, 0.2>, 0.2 }
		//disc { <1.5, 1, 0.4>, z, 0.2 }  // all cylinders in POV are closed!
		sphere { <1.6, 1, 0.4>, 0.05 }

		pigment { rgb 0.6 }
	}

}
